
import java.io.*;

public class FileWrite 
{
	public static void main(String[] args) throws IOException
	{
		//	1. 파일 명과 파일에 쓸 내용을 입력받는다. 
		System.out.print("파일명을 입력 : ");
		BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
		
		//	1 - (1). 파일의 이름을 입력받는다.
		String fileName = br.readLine();
		
		//	1 - (2). 파일에 쓸 내용을 입력받는다.
		System.out.print("파일에 쓸 내용을 입력 : ");
		String fileContent = br.readLine();
		
		//	1  (3). 파일을 생성하고 파일에 내용을 쓴다.
		FileWriter fw = new FileWriter(fileName);
		
		fw.write(fileContent);
		fw.close();
		
		//	2. 파일의 이름을 읽어와서 파일의 내용을 출력
		System.out.print("출력할 파일명을 입력 : ");
		fileName = br.readLine();
		br.close();
		
		File f = new File(fileName);
		
		FileReader fr = new FileReader(f);	
		
		//	BufferedReader를 사용하는 이유는 한줄 씩 읽어오는 함수 readLine함수가 있기 때문이다.
		br = new BufferedReader(fr);
		
		String temp = "";	//	한 줄씩 읽어올 변수
		fileContent = "";	//	파일의 내용을 담을 변수 초기화
		
		//	한 줄씩 읽어서 temp에 저장한다.
		while ((temp = br.readLine()) != null)
		{
			temp += "\n";	//	한 줄씩 읽어오는 것이므로, 개행 문자를 추가한다.
			fileContent += temp;
		}
		
		System.out.println(fileContent);
		
		br.close();
	}
}

